Subject: Re: RFC/Commit: New ocp id for CANbus devs

From: Andrey Volkov <[email-masked]>
Date: Wed, 09 Mar 2005 20:40:09 +0300

Hi Kumar:
> Is this for 2.6?  
Oh sorry, certainly for 2.6 (Sylvain's kernel more precisely).
But since, Sylvain not maintainer of ocp_ids.h, so I send
this patch to Paul (who create it, am I right?).

> If so, 5200 needs to be moved to using the new driver 
> model and platform devices.  Take a look at support for MPC85xx or 
> marvell (mv64x60) as examples.
> 
> - kumar
Kumar, please, more cleanly, what did you want to say? If you told about
board_ocp[] in lite5200.c (platform specific). Then yes, I use it, but 
not mpc5200.c

--
Andrey

> 
> On Mar 9, 2005, at 6:20 AM, Andrey Volkov wrote:
> 
>> Hi Paul,
>>
>> Pls. commit this patch, its needed for MPC5200 Can
>>
>> Regards
>>  Andrey Volkov
>>
>> Signed-off-by: Andrey Volkov <[email-masked]>
>>  --
>>  [email-masked], 2005-03-09 15:05:37+03:00, [email-masked]
>>     ocp_ids.h:
>>       New number for onboard CANbus devs.
>>
>>
>>
>>   ocp_ids.h |    1 +
>>    1 files changed, 1 insertion(+)
>>
>>
>>
>> diff -Nru a/include/asm-ppc/ocp_ids.h b/include/asm-ppc/ocp_ids.h
>>  --- a/include/asm-ppc/ocp_ids.h 2005-03-09 15:07:51 +03:00
>>  +++ b/include/asm-ppc/ocp_ids.h 2005-03-09 15:07:51 +03:00
>>  @@ -62,6 +62,7 @@
>>    #define OCP_FUNC_RGMII                0x00D3
>>    #define OCP_FUNC_TAH          0x00D4
>>    #define OCP_FUNC_SEC2         0x00D5  /* Crypto/Security 2.0 */
>>  +#define OCP_FUNC_CAN           0x00D6  /* CAN bus device */
>>
>>   /* Network 0x0200 - 0x02FF */
>>    #define OCP_FUNC_EMAC         0x0200
>>
>> _______________________________________________
>> Linuxppc-embedded mailing list
>>  [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 
>